﻿using Memory.Data;
using Memory.Logic;

namespace Memory.Cmd
{
    internal class Program
    {
        static void Main()
        {
            string name = CmdGame.GetPlayerName();
            while (true)
            {
                Game game = new(new ScoreHandler(), name, 10);
                CmdGame cmdGame = new(game);
                while (!game.IsFinished())
                {
                    cmdGame.Redraw();
                    Console.Write("Enter card number: ");
                    try
                    {
                        game.ClickCard(game.Cards[int.Parse(Console.ReadLine()!) - 1]);
                    }
                    catch (Exception) {}
                }
                Console.Clear();
                cmdGame.WriteScores();
                if (!CmdGame.ShouldReplay())
                {
                    break;
                }
                
            }
        }
    }
}
